#include<stdio.h>
#include<stdlib.h>

int main()
{
    int T;
    scanf("%d",&T);
    int i,j;
    while(T--)
    {
        int N,M;
        scanf("%d %d",&N,&M);
        if((N==1 && M>1)|| (M==1 && N>1))
        {
            printf("-1\n");
            continue;
        }
        int **mat=(int**)malloc(N * sizeof(int*));
        for(int i=0;i<N;i++)
        {   
            mat[i]=(int*)malloc(M * sizeof(int));
            for(int j=0;j<M;j++){
                mat[i][j]=0;
            }
        }
        for(i=0;i<N;i++)
        {
            for(j=0;j<M;j++){
                if(j<i+1 && i<j+1)
                mat[i][j]=1;
            }
        }   
    
        for(i=0;i<N;i++){
        for(j=0;j<M;j++){
          printf("%d ",mat[i][j]);
        }
        printf("\n");
        }    
        for(i=0;i<N;i++) free(mat[i]);
        
       free(mat);
    }
    return 0;
}